/************************************************************************
 *   IRC - Internet Relay Chat, include/init.h
 *   Copyright (C) 2000 
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

extern int lock_kline_file(void);
extern int setup_ping(void);

extern void init_levs(aClient *);
extern void init_sys();

extern void setup_signals(void);

extern void write_pidfile(void);
extern void initstats(void);
extern void initlists(void); 
extern void initwhowas(void);

extern void init_modules(void);

extern void restart(char *);

extern void server_reboot(void);

extern void recheck_clock(void *); 

extern void check_pings(void *notused);
extern void check_splitmode(void *notused);

extern void build_version(void);
